package config

// Various hard-coded enums such as choice of gender, sexuality, relationship status etc.
var (
	MaritalStatus = []string{
		"Single",
		"Married",
		"In a relationship",
		"It's complicated",
		"Divorced",
		"Widowed",
		"Widower",
	}

	RelationshipType = []string{
		"Monogamous",
		"Open",
	}

	Gender = []string{
		"Man",
		"Woman",
		"Non-binary",
		"Trans",
		"Trans (FTM)",
		"Trans (MTF)",
		"Other",
	}

	Orientation = []string{
		"Straight",
		"Gay",
		"Bisexual",
		"Bicurious",
	}

	HereFor = []string{
		"Dating",
		"Relationship",
		"Platonic friends",
		"Networking",
		"Casual acquaintances",
	}

	// Enums all wrapped up for template use.
	ProfileEnums = map[string][]string{
		"MaritalStatus":    MaritalStatus,
		"RelationshipType": RelationshipType,
		"Gender":           Gender,
		"Orientation":      Orientation,
		"HereFor":          HereFor,
	}

	// Input field names for profile fields.
	ProfileFields = []string{
		"gender",
		"pronouns",
		"city",
		"job",
		"orientation",
		"marital_status",
		"relationship_type",
		"about_me",
		"interests",
		"music_movies",
	}
)
